<?php

namespace frontend\controllers;

use Yii;
use common\models\Page;
use yii\web\Controller;


class PageController extends Controller
{

    public function actionShow($translit)
    {
        $model = new Page;
        if(!$page = $model->getPageTranslit($translit))
            throw new \Exception(404,'The requested page does not exist.');
        return $this->render('show',['page'=>$page]);
    }
}